English Amiga Board


Go Back   English Amiga Board > Support > support.FS-UAE

 
 
Thread Tools
Old 31 October 2012, 16:12   #1
mocham
 
Posts: n/a
Python errors from fs-uae-launcher [Solved]

I get this when I try to run the 2.0.1 (and the latest beta) fs-uae-launcher. Same result from deb file as well as compiling from source. Thanks for any help.

Code:
 $ fs-uae-launcher 
FS-UAE Launcher 2.0.1
System: ('Linux', 'mocha-c2d', '3.2.0-33-generic-pae', '#52-Ubuntu SMP Thu Oct 18 16:39:21 UTC 2012', 'i686', 'athlon')
['/usr/bin/fs-uae-launcher']
Traceback (most recent call last):
  File "/usr/bin/fs-uae-launcher", line 4, in <module>
    main()
  File "/usr/lib/pymodules/python2.7/fs_uae_launcher/__init__.py", line 202, in main
    from .Settings import Settings
  File "/usr/lib/pymodules/python2.7/fs_uae_launcher/Settings.py", line 8, in <module>
    from .Signal import Signal
  File "/usr/lib/pymodules/python2.7/fs_uae_launcher/Signal.py", line 7, in <module>
    import fs_uae_launcher.fsui as fsui
  File "/usr/lib/pymodules/python2.7/fs_uae_launcher/fsui/__init__.py", line 19, in <module>
    from .wx.Color import Color
  File "/usr/lib/pymodules/python2.7/fs_uae_launcher/fsui/wx/Color.py", line 31, in <module>
    class Color(wx.Colour, BaseColor):
  File "/usr/lib/pymodules/python2.7/fs_uae_launcher/fsui/wx/Color.py", line 57, in Color
    def set_components(self, r, g, b, a=wx.ALPHA_OPAQUE):
AttributeError: 'module' object has no attribute 'ALPHA_OPAQUE'

Last edited by FrodeSolheim; 04 November 2012 at 19:18. Reason: Added [Solved]
 
Old 31 October 2012, 17:55   #2
FrodeSolheim
FS-UAE Developer

FrodeSolheim's Avatar
 
Join Date: Dec 2011
Location: Førde, Norway
Age: 38
Posts: 3,561
Hi! I assume the problem is that your wxPython version is too old - a version where wx.ALPHA_OPAQUE is missing. However, this is only a constant (255), and if this is the only problem, it is easily fixable.

You can edit the following file in a text editor as root):
Code:
/usr/lib/pymodules/python2.7/fs_uae_launcher/fsui/wx/Color.py
and replace:
Code:
wx.ALPHA_OPAQUE
with
Code:
255
Can you also let me know what distribution (and version) you are running, and your wxPython version?
FrodeSolheim is offline  
Old 31 October 2012, 23:32   #3
mocham
 
Posts: n/a
Okay, I tried that and now it loads settings from /home/mocha/.local/share/fs-uae/launcher.settings, but then I get this error instead. I'm on standard Ubuntu 12.04 and have wxgtk2.6 and 2.8 packages installed.

Code:
Traceback (most recent call last):
  File "/usr/bin/fs-uae-launcher", line 4, in <module>
    main()
  File "/usr/lib/pymodules/python2.7/fs_uae_launcher/__init__.py", line 223, in main
    application = FSUAELauncher()
  File "/usr/lib/pymodules/python2.7/fs_uae_launcher/fsui/wx/application.py", line 12, in __init__
    self.on_create()
  File "/usr/lib/pymodules/python2.7/fs_uae_launcher/FSUAELauncher.py", line 61, in on_create
    window = MainWindow(icon=icon)
  File "/usr/lib/pymodules/python2.7/fs_uae_launcher/ui/MainWindow.py", line 62, in __init__
    content=False)
  File "/usr/lib/pymodules/python2.7/fs_uae_launcher/ui/MainWindow.py", line 147, in create_column
    bottom_panel = BottomPanel(self)
  File "/usr/lib/pymodules/python2.7/fs_uae_launcher/ui/BottomPanel.py", line 31, in __init__
    self.color_1 = fsui.Color(0xff, 0xff, 0xff, 0x60)
  File "/usr/lib/pymodules/python2.7/fs_uae_launcher/fsui/wx/Color.py", line 48, in __init__
    self.Set(*args)
  File "/usr/lib/python2.7/dist-packages/wx-2.6-gtk2-unicode/wx/_gdi.py", line 172, in Set
    return _gdi_.Colour_Set(*args, **kwargs)
TypeError: Colour_Set() takes at most 4 arguments (5 given)
 
Old 31 October 2012, 23:37   #4
FrodeSolheim
FS-UAE Developer

FrodeSolheim's Avatar
 
Join Date: Dec 2011
Location: Førde, Norway
Age: 38
Posts: 3,561
Thanks, that was useful information. I assume what happens is that wxPython 2.6 is used instead of 2.8. There is a way for a program to specify which wxPython-version to prefer (which isn't used in the launcher).

Uninstalling 2.6 will probably "solve" the problem. I'll try installing 2.6 myself, see if the problem show up, and then fix it so 2.8 is used correctly.
FrodeSolheim is offline  
Old 01 November 2012, 00:13   #5
mocham
 
Posts: n/a
Uninstalling 2.6 causes this error:

Code:
$ fs-uae-launcher 
FS-UAE Launcher 2.0.1
System: ('Linux', 'mocha-c2d', '3.2.0-33-generic-pae', '#52-Ubuntu SMP Thu Oct 18 16:39:21 UTC 2012', 'i686', 'athlon')
['/usr/bin/fs-uae-launcher']
Traceback (most recent call last):
  File "/usr/bin/fs-uae-launcher", line 4, in <module>
    main()
  File "/usr/lib/pymodules/python2.7/fs_uae_launcher/__init__.py", line 202, in main
    from .Settings import Settings
  File "/usr/lib/pymodules/python2.7/fs_uae_launcher/Settings.py", line 8, in <module>
    from .Signal import Signal
  File "/usr/lib/pymodules/python2.7/fs_uae_launcher/Signal.py", line 7, in <module>
    import fs_uae_launcher.fsui as fsui
  File "/usr/lib/pymodules/python2.7/fs_uae_launcher/fsui/__init__.py", line 15, in <module>
    from .wx.application import Application
  File "/usr/lib/pymodules/python2.7/fs_uae_launcher/fsui/wx/application.py", line 6, in <module>
    import wx
ImportError: No module named wx
fs-uae-launcher deb file is dependent on the 2.8 version however.
 
Old 01 November 2012, 00:23   #6
FrodeSolheim
FS-UAE Developer

FrodeSolheim's Avatar
 
Join Date: Dec 2011
Location: Førde, Norway
Age: 38
Posts: 3,561
Please try the newly released 2.1.1 (http://eab.abime.net/showthread.php?p=848039), where I have added wxversion.select(["2.8"]) before importing wx.
FrodeSolheim is offline  
Old 01 November 2012, 09:28   #7
mocham
 
Posts: n/a
That works perfectly, thanks. Finally fs-uae brings to Linux a world class Amiga emulator, been waiting many years for this. Now back to Deluxe Galaga..
 
Old 01 November 2012, 10:46   #8
Onaryc
 
Posts: n/a
I use this thread, i think this the same kind of pb : under windows 7 with FS UAE 2.1.1 the launcher does not launch anymore...
 
Old 01 November 2012, 20:54   #9
FrodeSolheim
FS-UAE Developer

FrodeSolheim's Avatar
 
Join Date: Dec 2011
Location: Førde, Norway
Age: 38
Posts: 3,561
Quote:
Originally Posted by mocham View Post
That works perfectly, thanks. Finally fs-uae brings to Linux a world class Amiga emulator, been waiting many years for this. Now back to Deluxe Galaga..
Great

Quote:
Originally Posted by Onaryc View Post
I use this thread, i think this the same kind of pb : under windows 7 with FS UAE 2.1.1 the launcher does not launch anymore...
It was not the same problem, it was the fix for the problem with caused the new problem! wxversion cannot be used with py2exe/py2app, and it slipped through quality control here...
FrodeSolheim is offline  
 


Currently Active Users Viewing This Thread: 1 (0 members and 1 guests)
 
Thread Tools

Similar Threads
Thread Thread Starter Forum Replies Last Post
FS-UAE Launcher FrodeSolheim support.FS-UAE 414 20 September 2015 22:39
Launcher not loading due to UnicodeDecodeError [Solved] buckrogers support.FS-UAE 7 16 March 2014 15:04
Launcher UnicodeDecodeError [solved] degville support.FS-UAE 1 21 November 2012 18:44
Is it possible to tweak Launcher settings? [Solved] dreamkatcha support.FS-UAE 5 04 November 2012 18:58
[FS-UAE] Amiga Game Database for FS-UAE Launcher nexusle support.FS-UAE 31 24 August 2012 21:24

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT +2. The time now is 18:02.


Powered by vBulletin® Version 3.8.11
Copyright ©2000 - 2019, vBulletin Solutions Inc.
Page generated in 0.10822 seconds with 13 queries